@import url('https://fonts.googleapis.com/icon?family=Material+Icons');

/* You can add global styles to this file, and also import other style files */
body {
    background: rgb(69, 128, 199);
    font-family: 'Roboto', sans-serif;
    margin: 0;
}

mat-form-field {
    width: 100%;
}

h4 {
    padding-left: 15px;
}

.container {
    margin: 20px;
}

.full-container {
    display: flex;
    height: 100vh;

    .left-content {
        flex: 0 300px;
        background: rgb(226, 226, 226);
        border-right: 1px solid rgba(0, 0, 0, 0.4);
        height: 100%;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .right-content {
        padding: 20px;
        flex-grow: 1;
        background: rgb(255, 255, 255);
    }
}

ul {
    padding: 0;
    list-style: none;
    border-top: 1px solid rgba(0, 0, 0, 0.2);

    li {
        color: black;
        cursor: pointer;
        border-bottom: 1px solid rgba(0, 0, 0, 0.2);

        a {
            display: block;
            color: inherit;
            text-decoration: none;
            padding-left: 15px;
            padding-top: 10px;
            padding-bottom: 10px;
            width: 100%;
        }

        &:hover {
            background: rgba(0, 0, 0, 0.2);
        }

        &.active {
            background: rgba(0, 0, 0, 0.2);
        }
    }
}

.header {
    .title {
        font-size: 24px;
        font-weight: 500;
    }

    .subtitle {
        padding-top: 15px;
        font-size: 14px;
        color: rgb(100, 100, 100);
    }
}

.error {
    margin: 10px 0;
    font-size: 14px;
    padding: 10px 15px;
    border-radius: 4px;
    background: #ff6568;
    color: white;
}

.success {
    margin: 10px 0;
    font-size: 14px;
    padding: 10px 15px;
    border-radius: 4px;
    background: #32b665;
    color: white;
}

.content {
    margin-top: 15px;
}

@import '~@angular/material/theming';
@include mat-core();

$bizon-color-primary-pal: (
    50 : #e8f2fe,
    100 : #c6dffd,
    200 : #a1cafc,
    300 : #7bb4fa,
    400 : #5ea4f9,
    500 : #4294f8,
    600 : #3c8cf7,
    700 : #3381f6,
    800 : #2b77f5,
    900 : #1d65f3,
    A100 : #ffffff,
    A200 : #f5f8ff,
    A400 : #c2d4ff,
    A700 : #a8c3ff,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$bizon-color-accent-pal: (
    50 : #e7e7e8,
    100 : #c4c4c5,
    200 : #9d9d9f,
    300 : #767579,
    400 : #58585c,
    500 : #3b3a3f,
    600 : #353439,
    700 : #2d2c31,
    800 : #262529,
    900 : #19181b,
    A100 : #6e6ef5,
    A200 : #3e3ef2,
    A400 : #0000fd,
    A700 : #0000e4,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #ffffff,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #ffffff,
        A200 : #ffffff,
        A400 : #ffffff,
        A700 : #ffffff,
    )
);

$bizon-color-error-pal: (
    50 : #fae6e7,
    100 : #f2c0c2,
    200 : #e9969a,
    300 : #e06b71,
    400 : #d94c52,
    500 : #d22c34,
    600 : #cd272f,
    700 : #c72127,
    800 : #c11b21,
    900 : #b61015,
    A100 : #ffe5e5,
    A200 : #ffb2b3,
    A400 : #ff7f81,
    A700 : #ff6568,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #ffffff,
        500 : #ffffff,
        600 : #ffffff,
        700 : #ffffff,
        800 : #ffffff,
        900 : #ffffff,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

$candy-app-primary: mat-palette($bizon-color-primary-pal);
$candy-app-accent:  mat-palette($bizon-color-accent-pal);
$candy-app-warn:    mat-palette($bizon-color-error-pal);

$candy-app-theme: mat-light-theme($candy-app-primary, $candy-app-accent, $candy-app-warn);

@include angular-material-theme($candy-app-theme);